from setux.core.action import Runner, Actions


class Modules(Runner):
    '''Deploy Modules'''

    @property
    def label(self):
        return f'Modules {self.name}'

    def deploy(self):
        for module in self.modules:
            try:
                self.target.deploy(module)
            except Exception as x: pass

